#!/usr/bin/env bash

OUTPUT_DIR=.output
OUTPUT_FILE=../$(basename $PWD).mp3
SILENCE=.silence.wav
MIX_LIST=.mix.txt

rm -rf $OUTPUT_DIR $OUTPUT_FILE

mkdir -p $OUTPUT_DIR


sox -n -r 44100 -c 2 $SILENCE trim 0.0 1.0

for wav in $( ls | egrep -i ".*wav$" )
do
  echo $wav
  sox $wav $OUTPUT_DIR/$wav \
    silence 1 0.05 0.5% \
    fade 0.01
done

rm -rf $MIX_LIST

for wav in $( ls $OUTPUT_DIR )
do
  echo $SILENCE >> $MIX_LIST
  echo $OUTPUT_DIR/$wav >> $MIX_LIST
done


sox $( cat $MIX_LIST ) -t wav - rate -v -L 44100 dither | lame -S -h -b 320 --ignore-tag-errors - $OUTPUT_FILE


